Subject: Re: [bug#27426] [PATCH 0/2] 'guix-daemon --listen' can specify multiple interfaces

From: Roel Janssen <[email-masked]>
Date: Tue, 20 Jun 2017 17:15:08 +0200

Ludovic Courtès writes:

> Hi Roel,
>
> Roel Janssen <[email-masked]> skribis:
>
>> Roel Janssen writes:
>>
>>> Hi Ludo’,
>>>
>>> Ludovic Courtès writes:
>>>
>>>> Hello Guix!
>>>>
>>>> Commit 3dff90ce34448551bc82a6a7262837c0561a4691 added support for
>>>> guix:// URIs on the client side.  This commit adds guix-daemon support
>>>> to specify TCP sockets to listen to, like this:
>>>>
>>>>   # Listen on the loopback interface only, port 1234.
>>>>   guix-daemon --listen=localhost:1234
>>>>
>>>>   # Listen on the Unix-domain socket and on the public interface,
>>>>   # port 44146.
>>>>   guix-daemon --listen=/var/guix/daemon-socket/socket \
>>>>               --listen=0.0.0.0
>>>>
>>>> The primary use case is clusters running a single ‘guix-daemon’ instance
>>>> that can be accessed from other nodes on the local network.
>>>>
>>>> Feedback welcome!
>>>
>>> Thanks a lot for these patches!  Today I tried to run the guix-daemon
>>> with it on our cluster.  It works fine, except for the following (which
>>> might be unrelated):
>>>
>>> [root@hpcguix ~]$ /gnu/repositories/guix/guix-daemon --listen=/gnu/daemon-socket/socket --listen=<ip-address>:<port> ...
>>>
>>> [roel@submit-node1 ~]$ guixr package -i samtools
>>> The following package will be installed:
>>>    samtools    1.3.1    /gnu/store/syl74az7a5mw5f8r5jfldiddlyc3ry28-samtools-1.3.1
>>>
>>> substitute: error: executing `/usr/local/libexec/guix/substitute': No such file or directory
>>> guix package: error: build failed: substituter `substitute' died unexpectedly
>>>
>>
>> Ooh, nevermind..  This has to do with the 'pre-inst-env' script.
>
> OK.
>
> Thanks for testing!  I’ll merge it soon if there aren’t more comments
> on the interface or code.

I tested it with the pre-inst-env and it works fine.
Looking forward to see this in upstream!

Thanks a lot!

Kind regards,
Roel Janssen